package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 资源库 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-25
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvResourceDao;
import com.heyu.api.data.entity.vv.VvResourceEntity;
import com.heyu.api.data.service.vv.VvResourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvResourceServiceImpl extends ServiceImpl<VvResourceDao, VvResourceEntity> implements VvResourceService {


    @Autowired
	private VvResourceDao vvResourceDao;



	@Override
	public VvResourceEntity selectVvResourceById(Long id){
		return vvResourceDao.selectVvResourceById(id);
	}



	@Override
	public Long insertVvResource(VvResourceEntity vvResource){
		return vvResourceDao.insertVvResource(vvResource);
	}



	@Override
	public Long insertOrUpdateVvResource(VvResourceEntity vvResource){
		return vvResourceDao.insertOrUpdateVvResource(vvResource);
	}



	@Override
	public int updateVvResourceById(VvResourceEntity vvResource){
		return vvResourceDao.updateVvResourceById(vvResource);
	}



	@Override
	public int updateCoverVvResourceById(VvResourceEntity vvResource){
		return vvResourceDao.updateCoverVvResourceById(vvResource);
	}



	@Override
	public int deleteVvResourceById(Long id){
		return vvResourceDao.deleteVvResourceById(id);
	}



}
